Subject: Re: bug#12976: 24.2; C-c i is bound to custom function, but in a term buffer it gets bound to ido-insert-file
From: Leo Liu <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: Joseph Mingrone <[email-masked]>, [email-masked]
Date: Fri, 12 Jul 2013 09:52:46 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2012-11-24 11:43 +0800, Glenn Morris wrote:
> Now `C-c i' is bound to insert-file. I guess this is because
> term-escape-char = C-c, and term-raw-escape-map has Control-X-prefix as
> parent keymap. I don't know what, if anything, to do about this.

I consider this not a bug.

This is how term.el works because it has drastically different key
bindings. Thus it gives the user C-c to invoke those critical commands
on the C-x prefix, or you will be trapped in term-mode forever.
User-defined commands are secondary in this scenario.

Leo